Update an individual

Updates the individual with the given ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Id of the individual

Body Params
string
string | null

May contain multiple middle names

string
string | null
boolean
Defaults to false

Set to true if this individual should be contacted regarding the case, this will also make the email required.

boolean
Defaults to false

Set to true if this individual ultimately owns or controls the main company

boolean
Defaults to false

Set to true if this individual is delegating its signing authority to the signatory of the case.
Individual cannot be both delegator and signatory Not relevant individual cannot be delegator

boolean
Defaults to false

Set to true if this person has delegated authority to be a signatory of the case, this will also make the email required.
Individual cannot be both signatory and delegator Not relevant individual cannot be signatory

string | null

Required if individual is_business_contact is true. Must be a valid email as defined in the HTML spec (eg. must match the following JavaScript-compatible regular expression: /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/)

date | null

Date in format ISO 8601(yyyy-MM-dd eg 2023-01-31)

string | null

ISO 3166-1 alpha-2 country code (eg FR)

string | null
address
object
banking_information
object | null
string | null
string | null
string | null

E.164 phoneNumber (eg +XXXXXXXXXXX)

string | null
number | null
0 to 100
number | null
0 to 100
roles
array of strings

legal_representative shareholder

roles
custom_properties
object

Optional partial custom properties object in a format of key (string) / value (string | boolean | string[] | number | null) to update the individual.

Archived custom properties are not accepted.

Responses

400

The request is either malformed or contain invalid parameters.

  • Make sure the identifier specified in the URL is a valid UUID
  • Make sure the body payload matches the expected schema
404

No individual can be found.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json